## org.eclipse.emf.ant.taskdefs
Class RemoveVersionTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.eclipse.emf.ant.taskdefs.RemoveVersionTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class RemoveVersionTask

extends org.apache.tools.ant.Task

Removes the version of all the subdirectories of a given directory. See `Util.removeVersion(File)` for further details. This task may be useful when generating code for which the defined model (a Rose file for example) depends on directory names to find its dependencies.

If this task is executed by a Eclipse driver with the org.eclipse.emf.ant plugin, it is neither necessary to use Ant's task `TaskDef` to declare this task in a script nor to change the Ant's runtime classpath.

Usage example:

     <emf.util.RemoveVersion parentDir="c:\eclipse\plugins"/>

Since:
  2.1.0

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`RemoveVersionTask()`

Method Summary
`static void` `assertTrue(java.lang.String message, boolean expression)`
`protected void` `checkAttributes()`
`void` `execute()`
`void` `setParentDir(java.io.File dir)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveVersionTask

    public RemoveVersionTask()

Method Detail

### assertTrue

    public static void assertTrue(java.lang.String message,
                                  boolean expression)
                           throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setParentDir

    public void setParentDir(java.io.File dir)

### checkAttributes

    protected void checkAttributes()
                            throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.